# CTComponent (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Interface CTComponent

- All Known Implementing Classes:
    CTLayer, CTStyleConfiguration, LayerBody, LayerColumnFillLayout, LayerColumnHeader, LayerRowFillLayout, LayerRowHeader, LayerSelection, StyleConfigurationFillLayout, StyleConfigurationHeader, StyleConfigurationSelection, StyleConfigurationTable

      public interface CTComponent

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTConfiguration` | `getConfig()`

- - ### Method Detail

    - #### getConfig

          CTConfiguration getConfig()

      Returns: